Subject: Re: [AVTCORE] [rmcat] I-D Action: draft-dt-rmcat-feedback-message-04.txt

From: Jonathan Lennox <[email-masked]>
Date: Mon, 13 Nov 2017 14:51:26 +0800

Since this draft is now draft-ietf-avtcore-cc-feedback-message, it’d be better to move this discussion to [email-masked] <mailto:[email-masked]>.  Thanks!

Jonathan (AVTCore chair) 

> On Nov 13, 2017, at 12:33 PM, Colin Perkins <[email-masked]> wrote:
> 
> 
>> On 30 Oct 2017, at 15:35, Ingemar Johansson S <[email-masked]> wrote:
>> 
>> Hi
>> 
>> Read through the draft and I believe that I understand how it should be implemented and when time permits I will replace the home-brewn RTCP feedback that is currently used with SCReAM with the version that is specified in the dt draft.
>> 
>> There are a few questions though.
>> 1)  Arrival time offset (ATO) and Report timestamp (RTS): The time granularity of the ATO is 1ms while the time granularity of the RTS seems to be 0.1ms or can even be configurable?. Is there any reason to have a differing time granularity for ATO and RTS?
> 
> We need to define these more carefully, but I agree that ideally they have the same units. The obvious unit for Report Timestamp would be the middle 32 bits out of 64 in the NTP timestamp, as used in the LSR field of SR packets. That doesn’t map so nicely to the 13 bit ATO field though, unless we make it count 1/1024 of a second ticks rather than 1/1000.
> 
>> 2) Byte order for ATO and RTS is not specified. I guess it should be network byte order for both RTS and ATO, right ?. 
> 
> Right.
> 
> Colin
> 
> 
> 
> -- 
> Colin Perkins
> https://csperkins.org/